#include "Max.h"
#include <stdio.h>
#include <direct.h>
#include <commdlg.h>
#include <3dsmaxport.h>
#include <stdmat.h>
#include <iparamb2.h>
#include <iskin.h>
#if MAX_API_NUM <= MAX_API_NUM_R120
#include <maxscrpt/maxscrpt.h>
#include <maxscrpt/Listener.h>
#include <maxscrpt/numbers.h>
#else
#include <maxscript/maxscript.h>
#include <maxscript/util/Listener.h>
#include <maxscript/foundation/numbers.h>
#endif

#include <rw.h>
#include <src/gtaplg.h>

#include "dffimp.h"
#include "dffimp_res.h"

#define lprintf the_listener->edit_stream->printf
#define lflush the_listener->edit_stream->flush

Value *getConvertAxes() { return Integer::intern(DFFImport::convertAxes); }
Value *setConvertAxes(Value *val) { DFFImport::convertAxes = val->to_int(); return val; }

Value *getAutoSmooth() { return Integer::intern(DFFImport::autoSmooth); }
Value *setAutoSmooth(Value *val) { DFFImport::autoSmooth = val->to_int(); return val; }

Value *getPrepend() { return Integer::intern(DFFImport::prepend); }
Value *setPrepend(Value *val) { DFFImport::prepend = val->to_int(); return val; }

void
initImporter(void)
{
	define_struct_global(_T("convertAxes"), _T("dffImp"), getConvertAxes, setConvertAxes);
	define_struct_global(_T("autoSmooth"), _T("dffImp"), getAutoSmooth, setAutoSmooth);
	define_struct_global(_T("prepend"), _T("dffImp"), getPrepend, setPrepend);
}
